Subject: Re: [v1][KVM][PATCH 1/1] kvm:ppc:booehv: direct ISI exception to Guest

From: "tiejun.chen" <[email-masked]>
Date: Thu, 9 May 2013 18:23:15 +0800

On 05/08/2013 05:28 PM, tiejun.chen wrote:
> On 05/08/2013 05:20 PM, Caraman Mihai Claudiu-B02008 wrote:
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]] On
>>> Behalf Of tiejun.chen
>>> Sent: Wednesday, May 08, 2013 4:54 AM
>>> To: Wood Scott-B07421
>>> Cc: [email-masked]; [email-masked]; [email-masked];
>>> [email-masked]
>>> Subject: Re: [v1][KVM][PATCH 1/1] kvm:ppc:booehv: direct ISI exception to
>>> Guest
>>>
>>> On 05/08/2013 07:40 AM, Scott Wood wrote:
>>>> On 05/07/2013 06:06:30 AM, Tiejun Chen wrote:
>>>>> We also can direct ISI exception to Guest like DSI.
>>>>>
>>>>> Signed-off-by: Tiejun Chen <[email-masked]>
>>>>> ---
>>>>>   arch/powerpc/kvm/booke_emulate.c |    3 +++
>>>>>   arch/powerpc/kvm/e500mc.c        |    3 ++-
>>>>>   2 files changed, 5 insertions(+), 1 deletion(-)
>>>>
>>>> Are you seeing a real performance improvement from this?  This will
>>> interfere
>>>
>>> No. But after we reduce the exit to host, shouldn't this improve
>>> performance?
>>
>> We lose some flexibility for this so it make sense only if we gain
>> measurable improvements.
>
> Sounds we have much more works to do.
>
>>
>>>
>>>> somewhat with using the VF bit, if we were to ever do so, since VF only
>>> affects
>>>
>>> Sorry, what is the VF you said?
>>
>> VF stands for virtualization fault see MAS8[VF] and we may use it for virtualized
>
> I almost forget this point :)

Looks KVM PPC have no this mechanism currently since I don't find MAS8_VF is 
used in kernel, right?

If I'm missing something please correct me.

Tiejun

>
>> MMIO. The hypervisor should deny execute access on pages marked with VF.
>> Accordingly
>> in this case guest ISI exceptions should be handled by the hypervisor.
>